org.gradle.api.artifacts

## Interface ComponentMetadataDetails

- All Superinterfaces:
    ComponentMetadata

      @Incubating
      @NonExtensible
      public interface ComponentMetadataDetails
      extends ComponentMetadata

  Describes a resolved component's metadata, which typically originates from a component descriptor (Ivy file, Maven POM). Some parts of the metadata can be changed via metadata rules (see `ComponentMetadataHandler`.
  Since:
    1.8

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setChanging(boolean changing)` Sets whether the component is changing or immutable.
    `void` | `setStatus(String status)` Sets the status of the component.
    `void` | `setStatusScheme(List<String> statusScheme)` Sets the status scheme of the component.

    - ### Methods inherited from interface org.gradle.api.artifacts.ComponentMetadata

      `getId, getStatus, getStatusScheme, isChanging`

- - ### Method Detail

    - #### setChanging

          void setChanging(boolean changing)

      Sets whether the component is changing or immutable.
      Parameters:
        `changing` - whether the component is changing or immutable

    - #### setStatus

          void setStatus(String status)

      Sets the status of the component. Must match one of the values in `ComponentMetadata.getStatusScheme()`.
      Parameters:
        `status` - the status of the component

    - #### setStatusScheme

          void setStatusScheme(List<String> statusScheme)

      Sets the status scheme of the component. Values are ordered from least to most mature status.
      Parameters:
        `statusScheme` - the status scheme of the component